Index: src/sas/qtgui/DataExplorer.py
===================================================================
--- src/sas/qtgui/DataExplorer.py	(revision cad617b718c0c678a25f1f6b63df93528a669bbe)
+++ src/sas/qtgui/DataExplorer.py	(revision b4b858983df5213b5ee684697424f220b75bac44)
@@ -411,8 +411,9 @@
                 raise AttributeError, msg
 
+
         if plots and \
-           hasattr(new_plot, 'data') and \
-           len(new_plot.data.x) > 0:
-            self.plotAdd(new_plot)
+            hasattr(new_plot, 'data') and \
+            isinstance(new_plot.data, Data1D):
+                self.plotAdd(new_plot)
 
     def plotAdd(self, new_plot):
Index: src/sas/qtgui/Plotter.py
===================================================================
--- src/sas/qtgui/Plotter.py	(revision 416fa8fe6ed121e335fb8f0e75cdd9a8ab89b80d)
+++ src/sas/qtgui/Plotter.py	(revision b4b858983df5213b5ee684697424f220b75bac44)
@@ -23,5 +23,5 @@
         self.title(title=value.title)
 
-    def plot(self, marker=None, linestyle=None):
+    def plot(self, marker=None, linestyle=None, hide_error=False):
         """
         Plot self._data
@@ -34,12 +34,21 @@
 
         if linestyle == None:
-            linestyle = '-'
-
-        # plot data with title
-        ax.plot(self._data.view.x,
-                self._data.view.y,
-                marker=marker,
-                linestyle=linestyle,
-                label=self._title)
+            linestyle = ''
+
+        # plot data with/without errorbars
+        if hide_error:
+            ax.plot(self._data.view.x, self._data.view.y,
+                    marker=marker,
+                    linestyle=linestyle,
+                    label=self._title)
+        else:
+            ax.errorbar(self._data.view.x, self._data.view.y,
+                        yerr=self._data.view.dx, xerr=None,
+                        capsize=2, linestyle='',
+                        barsabove=False,
+                        marker=marker,
+                        lolims=False, uplims=False,
+                        xlolims=False, xuplims=False,
+                        label=self._title)
 
         # Now add the legend with some customizations.
@@ -206,3 +215,7 @@
         QtGui.QDialog.__init__(self)
         PlotterWidget.__init__(self, manager=parent, quickplot=quickplot)
-
+        icon = QtGui.QIcon()
+        icon.addPixmap(QtGui.QPixmap(":/res/ball.ico"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
+        self.setWindowIcon(icon)
+
+
Index: src/sas/qtgui/Plotter2D.py
===================================================================
--- src/sas/qtgui/Plotter2D.py	(revision cad617b718c0c678a25f1f6b63df93528a669bbe)
+++ src/sas/qtgui/Plotter2D.py	(revision b4b858983df5213b5ee684697424f220b75bac44)
@@ -154,4 +154,14 @@
 
             cbax = self.figure.add_axes([0.84, 0.2, 0.02, 0.7])
+
+            # Current labels for axes
+            self.ax.set_ylabel(self.y_label)
+            self.ax.set_xlabel(self.x_label)
+
+            # Title only for regular charts
+            if not self.quickplot:
+                self.ax.set_title(label=self._title)
+
+
         else:
             # clear the previous 2D from memory
@@ -166,4 +176,5 @@
             ax = Axes3D(self.figure)
             cbax = self.figure.add_axes([0.84, 0.1, 0.02, 0.8])
+
             # Disable rotation for large sets.
             # TODO: Define "large" for a dataset
@@ -182,4 +193,5 @@
         else:
             cb = self.figure.colorbar(im, cax=cbax)
+
         cb.update_bruteforce(im)
         cb.set_label('$' + self.scale + '$')
@@ -195,2 +207,5 @@
         QtGui.QDialog.__init__(self)
         Plotter2DWidget.__init__(self, manager=parent, quickplot=quickplot, dimension=dimension)
+        icon = QtGui.QIcon()
+        icon.addPixmap(QtGui.QPixmap(":/res/ball.ico"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
+        self.setWindowIcon(icon)
Index: src/sas/qtgui/PlotterBase.py
===================================================================
--- src/sas/qtgui/PlotterBase.py	(revision 416fa8fe6ed121e335fb8f0e75cdd9a8ab89b80d)
+++ src/sas/qtgui/PlotterBase.py	(revision b4b858983df5213b5ee684697424f220b75bac44)
@@ -14,5 +14,4 @@
 DEFAULT_CMAP = pylab.cm.jet
 from sas.qtgui.ScaleProperties import ScaleProperties
-import sas.qtgui.PlotUtilities as PlotUtilities
 import sas.qtgui.PlotHelper as PlotHelper
 
@@ -50,6 +49,6 @@
         self.qx_data = []
         self.qy_data = []
-        self.color=0
-        self.symbol=0
+        self.color = 0
+        self.symbol = 0
         self.grid_on = False
         self.scale = 'linear'
@@ -79,4 +78,5 @@
     @property
     def data(self):
+        """ data getter """
         return self._data
 
@@ -158,5 +158,5 @@
         Display the context menu
         """
-        self.contextMenu.exec_( self.canvas.mapToGlobal(event.pos()) )
+        self.contextMenu.exec_(self.canvas.mapToGlobal(event.pos()))
 
     def clean(self):
@@ -201,10 +201,11 @@
         dialog.setModal(True)
         dialog.setWindowTitle("Print")
-        if(dialog.exec_() != QtGui.QDialog.Accepted):
+        if dialog.exec_() != QtGui.QDialog.Accepted:
             return
 
         painter = QtGui.QPainter(printer)
+        # Grab the widget screenshot
+        pmap = QtGui.QPixmap.grabWidget(self)
         # Create a label with pixmap drawn
-        pmap = QtGui.QPixmap.grabWidget(self)
         printLabel = QtGui.QLabel()
         printLabel.setPixmap(pmap)
